using System;
using System.IO;

namespace Muban.Compiler
{
    public class TypeContext
    {
        public TypeContext()
        {
            this.ClassName = "Template_" + Guid.NewGuid().ToString("N");
        }

        public string ClassName { get; private set; }

        public Type TemplateType { get; set; }

        public TextReader Input { get; set; }
    }
}